1. Commissions
Easyteam Retail
  • Home
  • Staff
    • Get all staff members
      GET
    • Get a single staff member
      GET
  • Scheduling
    • Get published shift schedules
      GET
  • Timesheets
    • Get timesheets summary
      GET
    • Get detailed timesheets an employee
      GET
  • Commissions
    • Get commissions summary
      GET
    • Get detailed commissions breakdown for a staff member
      GET
  • Sales Goals
    • Get sales goals data
      GET
  1. Commissions

Get commissions summary

GET
/api/rest/commissions/shop/{shopId}
Retrieve commissions summary with sales metrics and labour hours for staff members

Request

Authorization
Path Params

Query Params

Responses

🟢200
application/json
Successfully retrieved commissions summary
Body

🟠400
🟠401
🟠403
🟠404
🟠429
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/rest/commissions/shop/?from&to&personnelIds&locationIds&limit&offset'
Response Response Example
{
    "success": true,
    "data": {
        "results": [
            {
                "id": 0,
                "name": "string",
                "salesCount": 0,
                "grossSales": 0,
                "averageAmountPerSale": 0,
                "salesAmountPerLabourHour": 0,
                "commission": 0
            }
        ],
        "staffs": [
            {
                "id": 0,
                "name": "string",
                "salesCount": 0,
                "grossSales": 0,
                "averageAmountPerSale": 0,
                "salesAmountPerLabourHour": 0,
                "commission": 0
            }
        ],
        "count": 0,
        "limit": 0,
        "offset": 0,
        "previous": {},
        "next": {},
        "total": {
            "totalSalesCount": 0,
            "totalGrossSales": 0,
            "totalAvgAmountPerSale": 0,
            "totalSalesAmountPerLabourHour": 0,
            "totalCommission": 0
        }
    }
}
Previous
Get detailed timesheets an employee
Next
Get detailed commissions breakdown for a staff member